> For the complete documentation index, see [llms.txt](https://docs.os.uk/os-downloads/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.os.uk/os-downloads/products/land-and-terrain-portfolio/os-open-greenspace/release-notes/october-2024.md).

# October 2024

This release note provides information about the release of the OS Open Greenspace product in October 2024.

OS Open Greenspace depicts the location and extent of spaces, such as parks and sports facilities, which are likely to be accessible to the public. Where appropriate, it also includes access points to show how to get into these sites. Its primary purpose is to enable members of the public to find and access greenspaces near them for exercise and recreation.

## Feature counts

| Feature Type    | Previous Release Count (April 2024) | New Release Count (October 2024) |
| --------------- | ----------------------------------- | -------------------------------- |
| Greenspace Site | 153 231                             | 157 274                          |
| Access Point    | 307 380                             | 326 313                          |

## Product issues and enhancements

### Quality

There are no significant issues that would impair the use of this product in the October 2024 release. However, there are three error types that have been identified with this release that users should be aware of:

1. The product contains **16 757** sites that do not have any Access Points. This is due to the constraints of capturing the sites via aerial imagery (for example, some Access Points may be obscured by tree canopy) and / or because a site may lack definitive Access Points (for example, a playing field with no bounding fence or hedgerow). Ordnance Survey aims to reduce the number of sites with missing Access Points as part of ongoing continuous improvement processes.
2. The product contains **78** instances of duplicate sites (geometry) in the same tile. These errors appear to be caused by the automated production process. Ordnance Survey aims to reduce the number of duplicate sites as part of ongoing continuous improvement processes.
3. The product contains **81** sites which have one or more holes less than 1msq.

### GeoPackage format changes

We've updated some of our products available in GeoPackage format to align with Open Geospatial Consortium (OGC) standards and we've also fixed various formatting inconsistencies. For OS Open Greenspace, the updates are as follows:

* **GeoPackage attribution:** The following attribute names have been changed from Title case to snake case:

| GeoPackage Attribute Name Prior to April 2023 | GeoPackage Attribute Name After April 2023 |
| --------------------------------------------- | ------------------------------------------ |
| fid                                           | Fid                                        |
| id                                            | Id                                         |
| function                                      | Function                                   |
| distinctiveName1                              | distinctive\_name\_1                       |
| distinctiveName2                              | distinctive\_name\_2                       |
| distinctiveName3                              | distinctive\_name\_3                       |
| distinctiveName4                              | distinctive\_name\_4                       |
| geom                                          | Geometry                                   |
| accessType                                    | access\_type                               |
| refToGreenspaceSite                           | ref\_to\_greenspace\_site                  |

* **Layer Names:** The following layer names have been changed from Title case to snake case:
  * **AccessPoint** to **access\_point**
  * **GreenspaceSite** to **greenspace\_site**
* **Constraints**: The following constraints have been changed from Title case to snake case:
  * **AccessPoint\_pkey** to **access\_point\_pkey**
  * **GreenspaceSite\_pkey** to **greenspace\_site\_pkey**

## Next release

The next release of OS Open Greenspace is scheduled for **April 2025**.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.os.uk/os-downloads/products/land-and-terrain-portfolio/os-open-greenspace/release-notes/october-2024.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
